import React, {useState, useEffect} from 'react'
import {OrderDetails} from 'components'
import { Order } from 'Order';

const OrderIndexPage = () => {
    let [orders, setOrders] = useState([]);

    useEffect(() => {
        const apiUrl = 'http://localhost:8080/api/orders';
        fetch(apiUrl).then((response) => response.json())
            .then((data) => {
                console.log('This is your data', data)
                setOrders(data);
            });
    }, [setOrders])

    const orderDetailsArr = orders.map((order: Order, idx: any) => {
        return <tr key={idx}><OrderDetails
            date={order.orderCreatedAt} 
            orderNumber={order.id}
            status={order.orderStatus}
            /></tr>
    })

    return (
        <>
            <table>
                <tbody>
                    <tr>
                        <th>Order number</th>
                        <th>Created</th>
                        <th>Order Status</th>
                    </tr>
                    {orderDetailsArr}
                </tbody>
            </table>
        </>
    )
}

export default OrderIndexPage
